Any of the following permissions is required:
manage-incoming-integrationsmanage-own-incoming-integrationsmanage-outgoing-integrationsmanage-own-outgoing-integrations
The endpoint returns the integrations based on the user permissions.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 7.0.0 | Added name and type query parameters for filtering. |
| 1.1.0 | Separate permissions in incoming and outgoing. |
| 0.49.0 | Added |
The authorization token of the user.
The user ID of the user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
Filter list by the name of the integration.
Filter list by the type of the integration. It can be webhook-outgoing or webhook-incoming.
Sort the results in ascending (1) or descending order (-1). By default, the results are sorted in descending order of timestamp ({"ts": -1}). The additional options for the sort parameter are:
name: Sort by the integration name.sort={"name": 1}orsort={"name": -1}channel: Sort by target channel.sort={"channel": 1}orsort={"channel": -1}_createdAt: Sort by date of creation.sort={"_createdAt": 1}orsort={"_createdAt": -1}_createdBy: Sort by user who created the integration.sort={"_createdBy": 1}orsort={"_createdBy": -1}username: Sort by the value in the "post-as" username field.sort={"username": 1}orsort={"username": -1}- You can also use multiple options for one sort query. For example,
sort={"_createdAt": -1, "name": 1}. This sorts by creation date in descending order, then by name in ascending order.
{
"integrations": [
{
"_id": "WMQDChpnYTRmFre9h",
"enabled": true,
"username": "rocket.cat",
"alias": "Guggy",
"avatar": "https://image.crisp.im/avatar/website/17651a90-e082-43f6-b308-957cea6e323c/128",
"name": "Guggy",
"triggerWords": [
"!guggy",
"guggy",
"gif+"
],
"urls": [
"http://text2gif.guggy.com/guggify"
],
"token": "aobEdbYhXfu5hkeqG",
"script": "...",
"scriptEnabled": true,
"impersonateUser": false,
"scriptCompiled": "...",
"scriptError": null,
"type": "webhook-outgoing",
"userId": "rocket.cat",
"channel": [],
"_createdAt": "2017-01-05T17:06:05.660Z",
"_createdBy": {
"username": "graywolf336",
"_id": "R4jgcQaQhvvK6K3iY"
},
"_updatedAt": "2017-01-05T17:06:05.660Z"
},
{
"_id": "3aazpZ2WzoBP8msi9",
"type": "webhook-outgoing",
"name": "Testing via REST API",
"enabled": false,
"username": "rocket.cat",
"urls": [
"http://text2gif.guggy.com/guggify"
],
"scriptEnabled": false,
"userId": "rocket.cat",
"channel": [],
"_createdAt": "2017-01-06T13:23:46.018Z",
"_createdBy": {
"username": "graywolf336",
"_id": "R4jgcQaQhvvK6K3iY"
},
"_updatedAt": "2017-01-06T13:23:46.018Z"
}
],
"offset": 0,
"items": 2,
"total": 2,
"success": true
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}